Last Comment Bug 765177 - Import some more tests
: Import some more tests
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
Depends on: 765799 776493
Blocks: 616353 764539
  Show dependency treegraph
 
Reported: 2012-06-15 03:31 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-07-23 04:58 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Part a: Update WebStorage (4.58 KB, patch)
2012-06-15 03:31 PDT, :Ms2ger (⌚ UTC+1/+2)
bzbarsky: review+
Ms2ger: checkin+
Details | Diff | Splinter Review
Part b (1): Import approved DOMCore tests (206.63 KB, patch)
2012-06-15 03:32 PDT, :Ms2ger (⌚ UTC+1/+2)
bzbarsky: review+
Details | Diff | Splinter Review
Part b (2): Add expected failures for approved DOMCore tests (504.57 KB, patch)
2012-06-15 03:33 PDT, :Ms2ger (⌚ UTC+1/+2)
bzbarsky: review+
Details | Diff | Splinter Review
Part c (1): Import XHR tests (6.74 KB, patch)
2012-06-15 03:34 PDT, :Ms2ger (⌚ UTC+1/+2)
bzbarsky: review+
Details | Diff | Splinter Review
Part c (2): Add expected failures for XHR tests (504.57 KB, patch)
2012-06-15 03:35 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review
Part c (2): Add expected failures for XHR tests (8.24 KB, patch)
2012-06-15 03:36 PDT, :Ms2ger (⌚ UTC+1/+2)
bzbarsky: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2012-06-15 03:31:47 PDT
Created attachment 633460 [details] [diff] [review]
Part a: Update WebStorage
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2012-06-15 03:32:56 PDT
Created attachment 633461 [details] [diff] [review]
Part b (1): Import approved DOMCore tests
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2012-06-15 03:33:50 PDT
Created attachment 633462 [details] [diff] [review]
Part b (2): Add expected failures for approved DOMCore tests
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2012-06-15 03:34:30 PDT
Created attachment 633463 [details] [diff] [review]
Part c (1): Import XHR tests
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2012-06-15 03:35:17 PDT
Created attachment 633464 [details] [diff] [review]
Part c (2): Add expected failures for XHR tests
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2012-06-15 03:36:18 PDT
Created attachment 633465 [details] [diff] [review]
Part c (2): Add expected failures for XHR tests

Right patch
Comment 6 Boris Zbarsky [:bz] 2012-06-15 13:23:41 PDT
Comment on attachment 633460 [details] [diff] [review]
Part a: Update WebStorage

r=me
Comment 7 Boris Zbarsky [:bz] 2012-06-15 13:27:00 PDT
Comment on attachment 633461 [details] [diff] [review]
Part b (1): Import approved DOMCore tests

r=me
Comment 8 Boris Zbarsky [:bz] 2012-06-15 13:28:15 PDT
Comment on attachment 633462 [details] [diff] [review]
Part b (2): Add expected failures for approved DOMCore tests

I'm not going to ask for bug numbers in the actual files here, but I assume bugs _are_ filed for this stuff?
Comment 9 Boris Zbarsky [:bz] 2012-06-15 13:29:58 PDT
Comment on attachment 633463 [details] [diff] [review]
Part c (1): Import XHR tests

r=me
Comment 10 Boris Zbarsky [:bz] 2012-06-15 13:30:07 PDT
Comment on attachment 633465 [details] [diff] [review]
Part c (2): Add expected failures for XHR tests

Again, bugs filed?
Comment 11 :Ms2ger (⌚ UTC+1/+2) 2012-06-16 01:14:48 PDT
(In reply to Boris Zbarsky (:bz) from comment #8)
> Comment on attachment 633462 [details] [diff] [review]
> Part b (2): Add expected failures for approved DOMCore tests
> 
> I'm not going to ask for bug numbers in the actual files here, but I assume
> bugs _are_ filed for this stuff?

Everything to do with detached ranges is bug 702948, everything about the `how` argument to compareBoundaryPoints is bug 714279, intersectsNode is bug 579638, and I'm going to say bug 580070 for interfaces.html.
Comment 12 :Ms2ger (⌚ UTC+1/+2) 2012-06-16 01:32:07 PDT
(In reply to Boris Zbarsky (:bz) from comment #10)
> Comment on attachment 633465 [details] [diff] [review]
> Part c (2): Add expected failures for XHR tests
> 
> Again, bugs filed?

"existence and properties of interface prototype object": bug 764539
TypeError: bug 765464
FormData: bug 580070
FormData.append: bug 739174
Comment 13 :Ms2ger (⌚ UTC+1/+2) 2012-06-17 07:15:34 PDT
Comment on attachment 633460 [details] [diff] [review]
Part a: Update WebStorage

https://hg.mozilla.org/mozilla-central/rev/bd2070d6ec27

The Range-insertNode test appears to fail on 64-bit opt builds :/
Comment 14 :Ms2ger (⌚ UTC+1/+2) 2012-06-21 06:11:33 PDT
Aryeh fixed that issues; landed the tests:

https://hg.mozilla.org/mozilla-central/rev/caf8e1be4566
https://hg.mozilla.org/mozilla-central/rev/88272202e6c5
Comment 15 David :Bienvenu 2012-06-21 15:52:27 PDT
is it possible that this broke pymake builds? My pymake build is failing as follows:

nsinstall: ..\..\..\..\..\..\..\..\..\..\mozilla\dom\imptests\failures\webapps\X
MLHttpRequest\tests\submissions\Ms2ger\test_setrequestheader-invalid-arguments.h
tm.json: No such file or directory
c:\builds\tbnew\objdir-tb\mozilla\dom\imptests\failures\webapps\XMLHttpRequest\t
ests\submissions\Ms2ger\Makefile:20:0: command 'c:/builds/tbnew/objdir-tb/mozill
a/config/nsinstall.exe "../../../../../../../../../../mozilla/dom/imptests/failu
res/webapps/XMLHttpRequest/tests/submissions/Ms2ger/test_interfaces.html.json" "
../../../../../../../../../../mozilla/dom/imptests/failures/webapps/XMLHttpReque
st/tests/submissions/Ms2ger/test_setrequestheader-invalid-arguments.htm.json" ..
/../../../../../../../_tests/testing/mochitest/tests/dom/imptests/failures/webap
ps/XMLHttpRequest/tests/submissions/Ms2ger' failed, return code 3
Comment 16 Masatoshi Kimura [:emk] 2012-06-22 10:45:32 PDT
H:\mozdev\mozilla-central\obj-i686-pc-mingw32\dom\imptests\failures\webapps\XMLHttpRequest\tests\submissions\Ms2ger\..\..\..\..\..\..\..\..\..\dom\imptests\failures\webapps\XMLHttpRequest\tests\submissions\Ms2ger\test_setrequestheader-invalid-arguments.htm.json
is longer than 260 (= MAX_PATH) characters.
Comment 17 Matt Woodrow (:mattwoodrow) 2012-06-26 20:52:26 PDT
Pymake builds are broken for me too. Same error
Comment 18 Masatoshi Kimura [:emk] 2012-06-27 00:59:00 PDT
If I shorten the folder name (H:\mozdev -> H:\m), pymake build works.

Note You need to log in before you can comment on or make changes to this bug.